Create a workspace record
curl --request POST \
--url https://api.attio.com/v2/objects/workspaces/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"values": {
"workspace_id": "123",
"name": "Customer.com",
"avatar_url": "https://example.com/avatar.png",
"users": [
{
"target_object": "users",
"target_record_id": "5e3fb280-007b-495a-a530-9354bde01de1"
}
],
"company": {
"target_object": "companies",
"target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab"
}
}
}
}
'import requests
url = "https://api.attio.com/v2/objects/workspaces/records"
payload = { "data": { "values": {
"workspace_id": "123",
"name": "Customer.com",
"avatar_url": "https://example.com/avatar.png",
"users": [
{
"target_object": "users",
"target_record_id": "5e3fb280-007b-495a-a530-9354bde01de1"
}
],
"company": {
"target_object": "companies",
"target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab"
}
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
values: {
workspace_id: '123',
name: 'Customer.com',
avatar_url: 'https://example.com/avatar.png',
users: [
{
target_object: 'users',
target_record_id: '5e3fb280-007b-495a-a530-9354bde01de1'
}
],
company: {
target_object: 'companies',
target_record_id: '99a03ff3-0435-47da-95cc-76b2caeb4dab'
}
}
}
})
};
fetch('https://api.attio.com/v2/objects/workspaces/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
},
"created_at": "2022-11-21T13:22:49.061281000Z",
"web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
"values": {
"workspace_id": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "123",
"attribute_type": "text"
}
],
"name": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "Fundstack",
"attribute_type": "text"
}
],
"users": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "users",
"target_record_id": "5e3fb280-007b-495a-a530-9354bde01de1",
"attribute_type": "record-reference"
}
],
"company": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"target_object": "companies",
"target_record_id": "99a03ff3-0435-47da-95cc-76b2caeb4dab",
"attribute_type": "record-reference"
}
],
"avatar_url": [
{
"active_from": "2023-01-01T15:00:00.000000000Z",
"active_until": null,
"created_by_actor": {
"type": "system",
"id": null
},
"value": "https://example.com/avatar.png",
"attribute_type": "text"
}
]
}
}
}{
"status_code": 400,
"type": "invalid_request_error",
"code": "value_not_found",
"message": "Cannot find select attribute with select option title \"In Progress\"."
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Object with slug/ID \"people\" not found."
}Workspaces
Create a workspace record
Creates a new workspace record. This endpoint will throw on conflicts of unique attributes, like workspace_id. If you would prefer to update workspace records on conflicts, please use the Assert workspace record endpoint instead.
Required scopes: record_permission:read-write, object_configuration:read.
POST
/
v2
/
objects
/
workspaces
/
records
Create a workspace record
Was this page helpful?
⌘I